Custom sounds
POST
/kling/v1/general/custom-voicesBody Parametersapplication/json
callback_url string
Callback URL invoked on task completion
external_task_id string
Custom external task ID for business-side correlation
video_id string
historical work ID, provide audio via historical works only videos meeting these conditions can customize a voice: videos from V2.6 with sound=on videos from the digital-human API videos from the lip-sync API audio must have clean speech without noise, exactly one clean voice, duration between 5s and 30s
voice_name* string
Voice name
voice_url string
voice sample file URL supports .mp3/.wav/.mp4/.mov A/V files audio must have clean speech without noise, exactly one clean voice, duration between 5s and 30s
Responses
200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"voice_name": "string"
3}
1curl -X POST "https://api.digislash.com/kling/v1/general/custom-voices" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"voice_name": "string"
6}'
1▼{
2"callback_url": "",
3"external_task_id": "",
4"video_id": "830460928805724256",
5"voice_name": "测试音色",
6"voice_url": ""
7}
